[DEFAULT]
prefs =
  plugin.load_flash_only=false
support-files =
  audio.ogg
  audioEndedDuringPlaying.webm
  iframe_bug962251.html
  iframe_bug976673.html
  iframe_main_bug1022229.html
  iframe_sandbox_bug1022229.html
  file_empty.html
  iframe_postMessage_solidus.html
  file_setname.html
  345339_iframe.html
  Ahem.ttf
  accesscontrol.resource
  accesscontrol.resource^headers^
  badContentType.eventsource
  badContentType.eventsource^headers^
  badHTTPResponseCode.eventsource
  badHTTPResponseCode.eventsource^headers^
  badMessageEvent.eventsource
  badMessageEvent.eventsource^headers^
  badMessageEvent2.eventsource
  badMessageEvent2.eventsource^headers^
  bug282547.sjs
  bug298064-subframe.html
  bug313646.txt
  bug382113_object.html
  bug403852_fileOpener.js
  bug419132.html
  bug426308-redirect.sjs
  bug435425.sjs
  bug435425_redirect.sjs
  bug444322.js
  bug444322.txt
  bug455629-helper.svg
  bug457746.sjs
  bug461735-post-redirect.js
  bug461735-redirect1.sjs
  bug461735-redirect2.sjs
  bug466080.sjs
  bug466409-empty.css
  bug466409-page.html
  bug475156.sjs
  bug482935.sjs
  bug540854.sjs
  bug578096LoadChromeScript.js
  bug638112-response.txt
  bug638112.sjs
  bug696301-script-1.js
  bug696301-script-1.js^headers^
  bug696301-script-2.js
  bug704320.sjs
  bug704320_counter.sjs
  bug819051.sjs
  bug1576154.sjs
  chrome/bug418986-1.js
  copypaste.js
  delayedServerEvents.sjs
  eventsource.resource
  eventsource.resource^headers^
  eventsource_redirect.resource
  eventsource_redirect.resource^headers^
  eventsource_redirect_to.resource
  eventsource_redirect_to.resource^headers^
  file_base_xbl.xml
  file_bug1091883_frame.html
  file_bug1091883_subframe.html
  file_bug1091883_target.html
  file_bug28293.sjs
  file_bug326337.xml
  file_bug326337_inner.html
  file_bug326337_outer.html
  file_bug416317.xhtml
  file_bug426646-1.html
  file_bug426646-2.html
  file_bug428847-1.xhtml
  file_bug428847-2.xhtml
  file_bug498897.css
  file_bug498897.html
  file_bug498897.html^headers^
  file_bug503481.sjs
  file_bug503481b_inner.html
  file_bug541937.html
  file_bug541937.xhtml
  file_bug557892.html
  file_bug562137.txt
  file_bug590812-ref.xhtml
  file_bug590812.xml
  file_bug590870.html
  file_bug601803a.html
  file_bug601803b.html
  file_bug604660-1.xml
  file_bug604660-2.xsl
  file_bug604660-3.js
  file_bug604660-4.js
  file_bug604660-5.xml
  file_bug604660-6.xsl
  file_bug622088.sjs
  file_bug622088_inner.html
  file_bug675121.sjs
  file_bug687859-16.js
  file_bug687859-16.js^headers^
  file_bug687859-bom.js
  file_bug687859-bom.js^headers^
  file_bug687859-charset.js
  file_bug687859-http.js
  file_bug687859-http.js^headers^
  file_bug687859-inherit.js
  file_bug692434.xml
  file_bug704320_preload_attr.html
  file_bug704320_preload_common.js
  file_bug704320_preload_reuse.html
  file_bug704320_preload_noreuse.html
  file_bug704320_preload_comment_meta.html
  file_bug704320_redirect.html
  file_bug707142_baseline.json
  file_bug707142_bom.json
  file_bug707142_utf-16.json
  file_bug708620-2.html
  file_bug708620.html
  file_bug753278.html
  file_bug769117.html
  file_bug782342.txt
  file_bug787778.sjs
  file_bug869432.eventsource
  file_bug869432.eventsource^headers^
  file_bug907892.html
  file_bug945152.jar
  file_bug1274806.html
  file_current_inner_window.html
  file_domwindowutils_animation.html
  file_focus_shadow_dom.html
  file_general_document.html
  file_history_document_open.html
  file_htmlserializer_1.html
  file_htmlserializer_1_bodyonly.html
  file_htmlserializer_1_format.html
  file_htmlserializer_1_linebreak.html
  file_htmlserializer_1_links.html
  file_htmlserializer_1_nested_body.html
  file_htmlserializer_1_no_body.html
  file_htmlserializer_1_noflag.html
  file_htmlserializer_1_noformatpre.html
  file_htmlserializer_1_raw.html
  file_htmlserializer_1_sibling_body.html
  file_htmlserializer_1_sibling_body_only_body.html
  file_htmlserializer_1_wrap.html
  file_htmlserializer_2.html
  file_htmlserializer_2_basic.html
  file_htmlserializer_ipv6.html
  file_htmlserializer_ipv6_out.html
  file_mozfiledataurl_img.jpg
  file_record_orientation.html
  file_restrictedEventSource.sjs
  file_settimeout_inner.html
  file_timer_flood.html
  file_viewport_scroll_quirks.html
  file_viewport_scroll_xml.xml
  file_x-frame-options_main.html
  file_x-frame-options_page.sjs
  file_xhtmlserializer_1.xhtml
  file_xhtmlserializer_1_bodyonly.xhtml
  file_xhtmlserializer_1_format.xhtml
  file_xhtmlserializer_1_linebreak.xhtml
  file_xhtmlserializer_1_links.xhtml
  file_xhtmlserializer_1_nested_body.xhtml
  file_xhtmlserializer_1_no_body.xhtml
  file_xhtmlserializer_1_noflag.xhtml
  file_xhtmlserializer_1_noformatpre.xhtml
  file_xhtmlserializer_1_raw.xhtml
  file_xhtmlserializer_1_sibling_body.xhtml
  file_xhtmlserializer_1_sibling_body_only_body.xhtml
  file_xhtmlserializer_1_wrap.xhtml
  file_xhtmlserializer_2.xhtml
  file_xhtmlserializer_2_basic.xhtml
  file_xhtmlserializer_2_enthtml.xhtml
  file_xhtmlserializer_2_entw3c.xhtml
  file_xhtmlserializer_2_latin1.xhtml
  file_youtube_flash_embed.html
  forRemoval.resource
  forRemoval.resource^headers^
  formReset.html
  invalid_accesscontrol.resource
  invalid_accesscontrol.resource^headers^
  plugin.js
  script-1_bug597345.sjs
  script-2_bug597345.js
  script_bug602838.sjs
  send_gzip_content.sjs
  somedatas.resource
  somedatas.resource^headers^
  variable_style_sheet.sjs
  viewport_helpers.js
  w3element_traversal.svg
  wholeTexty-helper.xml
  referrerHelper.js
  file_audioLoop.html
  file_webaudioLoop.html
  file_webaudioLoop2.html
  file_webaudio_startstop.html
  file_webAudioAudible.html
  file_pluginAudio.html
  file_pluginAudioNonAutoStart.html
  noaudio.webm
  referrer_helper.js
  referrer_testserver.sjs
  script_postmessages_fileList.js
  common_postMessages.js
  iframe_postMessages.html
  worker_postMessages.js
  test_anonymousContent_style_csp.html^headers^
  file_explicit_user_agent.sjs
  referrer_change_server.sjs
  file_change_policy_redirect.html
  file_bug1198095.js
  file_bug1250148.sjs
  file_bug1268962.sjs
  iframe_meta_refresh.sjs
  mozbrowser_api_utils.js
  !/dom/security/test/cors/file_CrossSiteXHR_server.sjs
  !/image/test/mochitest/blue.png
  script_bug1238440.js
  intersectionobserver_iframe.html
  intersectionobserver_cross_domain_iframe.html
  intersectionobserver_window.html
  object_bug353334.html
  embed_bug455472.html
  object_bug455472.html
  iframe1_bug431701.html
  iframe2_bug431701.html
  iframe3_bug431701.html
  iframe4_bug431701.xml
  iframe5_bug431701.xml
  iframe6_bug431701.xml
  iframe7_bug431701.xml
  iframe1_bug426646.html
  iframe2_bug426646.html
  iframe_shared_compartment2a.html
  iframe_shared_compartment2b.html
  file1_setting_opener.html
  file2_setting_opener.html
  file3_setting_opener.html
  file4_setting_opener.html
  PASS.html
  FAIL.html
  !/dom/animation/test/testcommon.js
  !/dom/events/test/event_leak_utils.js
  ../../../browser/extensions/pdfjs/test/file_pdfjs_test.pdf
  green.png

[test_anchor_area_referrer.html]
[test_anchor_area_referrer_changing.html]
[test_anchor_area_referrer_invalid.html]
[test_anchor_area_referrer_rel.html]
[test_anonymousContent_api.html]
[test_anonymousContent_append_after_reflow.html]
[test_anonymousContent_canvas.html]
skip-if = headless # Bug 1405867
[test_anonymousContent_insert.html]
[test_anonymousContent_manipulate_content.html]
[test_anonymousContent_set_style.html]
[test_anonymousContent_style_csp.html]
[test_appname_override.html]
[test_async_setTimeout_stack.html]
[test_async_setTimeout_stack_across_globals.html]
[test_audioNotification.html]
tags = audiochannel
skip-if = (os == "win" && processor == "aarch64") # bug 1535775
[test_audioNotificationSilent_audioFile.html]
tags = audiochannel
skip-if = (os == "win" && processor == "aarch64") # bug 1535775
[test_audioNotificationSilent_webAudio.html]
tags = audiochannel
skip-if = (os == "win" && processor == "aarch64") # bug 1535775
[test_audioNotificationStream.html]
tags = audiochannel
skip-if = (os == "win" && processor == "aarch64") # bug 1535775
[test_audioNotificationStopOnNavigation.html]
tags = audiochannel
skip-if = (os == "win" && processor == "aarch64") # bug 1535775
[test_audioNotificationNavigationWebAudio.html]
tags = audiochannel
skip-if = (os == "win" && processor == "aarch64") # bug 1535775
[test_audioNotificationWithEarlyPlay.html]
tags = audiochannel
skip-if = (os == "win" && processor == "aarch64") # bug 1535775
[test_base.xhtml]
[test_bug5141.html]
[test_bug28293.html]
[test_bug28293.xhtml]
[test_bug51034.html]
[test_bug116083.html]
skip-if = headless # fails in clipboard mode
[test_bug166235.html]
skip-if = headless # headless != clipboard
[test_bug199959.html]
[test_bug218236.html]
[test_bug218277.html]
[test_bug238409.html]
[test_bug254337.html]
[test_bug270145.xhtml]
[test_bug276037-1.html]
[test_bug276037-2.xhtml]
[test_bug282547.html]
[test_bug298064.html]
[test_bug300992.html]
[test_bug311681.xml]
[test_bug313646.html]
[test_bug320799.html]
[test_bug322317.html]
[test_bug326337.html]
[test_bug331959.html]
[test_bug333064.html]
skip-if = headless # Headless: Bug 1405868
[test_bug333198.html]
[test_bug333673.html]
[test_bug337631.html]
[test_bug338541.xhtml]
[test_bug338583.html]
[test_bug338679.html]
[test_bug339494.html]
[test_bug339494.xhtml]
[test_bug343596.html]
[test_bug345339.html]
[test_bug346485.html]
[test_bug352728.html]
[test_bug352728.xhtml]
[test_bug353334.html]
[test_bug355026.html]
[test_bug357450.html]
support-files = file_bug357450.js
[test_bug357450.xhtml]
[test_bug357450_svg.xhtml]
[test_bug357509.html]
[test_bug358660.html]
[test_bug362391.xhtml]
[test_bug364092.xhtml]
[test_bug364413.xhtml]
[test_bug366944.html]
[test_bug366946.html]
[test_bug367164.html]
[test_bug368972.html]
[test_bug371576-2.html]
[test_bug371576-3.html]
[test_bug371576-4.html]
[test_bug371576-5.html]
[test_bug372086.html]
[test_bug372964-2.html]
[test_bug372964.html]
[test_bug373181.xhtml]
[test_bug375314.html]
[test_bug378969.html]
[test_bug380418.html]
support-files = test_bug380418.html^headers^
[test_bug382113.html]
[test_bug382871.html]
[test_bug384003.xhtml]
[test_bug390219.html]
[test_bug390735.html]
[test_bug392318.html]
[test_bug392511.html]
[test_bug393968.html]
[test_bug395915.html]
[test_bug397234.html]
[test_bug398243.html]
[test_bug401662.html]
[test_bug402150.html]
support-files = test_bug402150.html^headers^
[test_bug403841.html]
[test_bug403852.html]
[test_bug403868.xml]
[test_bug405182.html]
[test_bug409380.html]
[test_bug410229.html]
[test_bug413974.html]
[test_bug414190.html]
[test_bug415860.html]
[test_bug416317-1.html]
[test_bug416317-2.html]
[test_bug416383.html]
[test_bug417255.html]
[test_bug417384.html]
[test_bug418214.html]
[test_bug418986-1.html]
[test_bug419132.html]
[test_bug420609.xhtml]
[test_bug420700.html]
[test_bug421602.html]
[test_bug422403-1.html]
[test_bug422403-2.xhtml]
[test_bug422537.html]
[test_bug424212.html]
[test_bug424359-1.html]
[test_bug424359-2.html]
[test_bug426308.html]
[test_bug426646.html]
[test_bug428847.html]
[test_bug429157.html]
[test_bug431082.html]
[test_bug431701.html]
[test_bug431833.html]
[test_bug433533.html]
[test_bug433662.html]
[test_bug435425.html]
[test_bug444322.html]
[test_bug444546.html]
disabled = Disabled for now. Mochitest isn't reliable enough for these.
support-files = bug444546.sjs
[test_bug444722.html]
[test_bug448993.html]
[test_bug450160.html]
[test_bug451376.html]
[test_bug453521.html]
[test_bug453736.html]
[test_bug454325.html]
[test_bug454326.html]
[test_bug455472.html]
[test_bug455629.html]
[test_bug456262.html]
[test_bug457746.html]
[test_bug459424.html]
[test_bug461555.html]
[test_bug461735.html]
[test_bug465767.html]
[test_bug466080.html]
[test_bug466409.html]
[test_bug466751.xhtml]
[test_bug469020.html]
[test_bug469304.html]
[test_bug473162-1.html]
[test_bug473162-2.html]
[test_bug475156.html]
[test_bug482935.html]
[test_bug484396.html]
[test_bug493881.html]
support-files = test_bug493881.js
[test_bug498240.html]
[test_bug498433.html]
[test_bug498897.html]
[test_bug499656.html]
[test_bug499656.xhtml]
[test_bug500937.html]
[test_bug503473.html]
disabled = Disabled due to making the harness time out
support-files = file_bug503473-frame.sjs
[test_bug503481.html]
[test_bug503481b.html]
[test_bug513194.html]
[test_bug514487.html]
[test_bug515401.html]
[test_bug518104.html]
support-files = file_bug518104.js
[test_bug527896.html]
[test_bug540854.html]
[test_bug541937.html]
[test_bug544642.html]
[test_bug545644.html]
[test_bug545644.xhtml]
[test_bug548463.html]
[test_bug553896.xhtml]
[test_bug557892.html]
[test_bug558726.html]
[test_bug559526.html]
[test_bug560780.html]
[test_bug562137.html]
[test_bug562169-1.html]
[test_bug562169-2.html]
[test_bug562652.html]
[test_bug564047.html]
[test_bug564863.xhtml]
[test_bug567350.html]
[test_bug574596.html]
skip-if = toolkit == 'android'
[test_bug578096.html]
skip-if = (verify && (os == 'win'))
[test_bug585978.html]
[test_bug587931.html]
[test_bug588990.html]
[test_bug590812.html]
skip-if = (verify && !debug && (os == 'linux')) #bug 687032
[test_bug590870.html]
[test_bug592366.html]
[test_bug592829.html]
[test_bug597345.html]
[test_bug599295.html]
[test_bug599588.html]
[test_bug601803.html]
[test_bug602838.html]
[test_bug604592.html]
[test_bug604660.html]
[test_bug605982.html]
[test_bug606729.html]
[test_bug614058.html]
[test_bug622088.html]
[test_bug622117.html]
[test_bug622246.html]
[test_bug625722.html]
[test_bug626262.html]
[test_bug628938.html]
[test_bug631615.html]
[test_bug638112.html]
[test_bug647518.html]
[test_bug650001.html]
[test_bug650776.html]
[test_bug650784.html]
[test_bug656283.html]
[test_bug664916.html]
[test_bug666604.html]
[test_bug675121.html]
[test_bug675166.html]
[test_bug682463.html]
[test_bug682554.html]
[test_bug682592.html]
[test_bug684671.html]
[test_bug685798.html]
[test_bug686449.xhtml]
[test_bug687859.html]
[test_bug690056.html]
[test_bug692434.html]
[test_bug693615.html]
[test_bug693875.html]
[test_bug694754.xhtml]
[test_bug696301-1.html]
[test_bug696301-2.html]
[test_bug698381.html]
[test_bug698384.html]
[test_bug704063.html]
[test_bug704320-1.html]
[test_bug704320-2.html]
[test_bug704320_policyset.html]
[test_bug704320_policyset2.html]
[test_bug704320_preload.html]
[test_bug707142.html]
[test_bug708620.html]
[test_bug711047.html]
[test_bug711180.html]
[test_bug719533.html]
[test_bug726364.html]
[test_bug737087.html]
[test_bug737565.html]
[test_bug737612.html]
[test_bug738108.html]
[test_bug744830.html]
[test_bug749367.html]
[test_bug750096.html]
[test_bug753278.html]
[test_bug761120.html]
[test_bug769117.html]
[test_bug782342.html]
[test_bug787778.html]
[test_bug789315.html]
[test_bug789856.html]
[test_bug809003.html]
[test_bug810494.html]
[test_bug811701.html]
[test_bug811701.xhtml]
[test_bug813919.html]
[test_bug814576.html]
[test_bug819051.html]
[test_bug820909.html]
[test_bug864595.html]
[test_bug868999.html]
[test_bug869000.html]
[test_bug869002.html]
[test_bug869006.html]
[test_bug876282.html]
[test_bug891952.html]
[test_bug894874.html]
[test_bug895974.html]
[test_bug907892.html]
[test_bug913761.html]
[test_bug922681.html]
[test_bug927196.html]
[test_bug962251.html]
[test_bug976673.html]
skip-if = fission #Bug 1613899
[test_bug982153.html]
[test_bug999456.html]
[test_bug1022229.html]
[test_bug1025933.html]
[test_bug1037687.html]
support-files = test_bug1037687_subframe.html
[test_bug1043106.html]
[test_bug1057176.html]
[test_bug1060938.html]
[test_bug1064481.html]
[test_bug1070015.html]
[test_bug1075702.html]
[test_bug1091883.html]
[test_bug1100912.html]
support-files = file_bug1100912.html
[test_bug1101364.html]
[test_bug1118689.html]
[test_bug1126851.html]
[test_bug1163743.html]
[test_bug1165501.html]
[test_bug1187157.html]
[test_bug1198095.html]
[test_bug1238440.html]
[test_bug1250148.html]
[test_bug1259588.html]
[test_bug1268962.html]
[test_bug1222633.html]
[test_bug1222633_link_update.html]
[test_bug1274806.html]
[test_bug1281963.html]
[test_bug1295852.html]
[test_bug1307730.html]
[test_bug1308069.html]
[test_bug1314032.html]
[test_bug1318303.html]
[test_bug1375050.html]
[test_bug1381710.html]
[test_bug1399605.html]
[test_bug1404385.html]
[test_bug1406102.html]
[test_bug1421568.html]
[test_bug1472427.html]
[test_bug1499169.html]
skip-if = toolkit == 'android' # Timeouts on android due to page closing issues with embedded pdf
[test_bug1576154.html]
[test_caretPositionFromPoint.html]
[test_change_policy.html]
[test_clearTimeoutIntervalNoArg.html]
[test_constructor-assignment.html]
[test_constructor.html]
[test_content_iterator_post_order.html]
[test_content_iterator_pre_order.html]
[test_content_iterator_subtree.html]
[test_copyimage.html]
skip-if = toolkit == 'android' || headless #bug 904183
[test_copypaste.html]
skip-if = toolkit == 'android' || headless #bug 904183
[test_copypaste.xhtml]
skip-if = headless  #bug 904183
[test_copypaste_disabled.html]
[test_createHTMLDocument.html]
[test_data_uri.html]
skip-if = verify
[test_document.all_iteration.html]
[test_document.all_unqualified.html]
[test_document_constructor.html]
[test_document_importNode_document.html]
[test_custom_element.html]
[test_custom_element_reflector.html]
[test_current_inner_window.html]
[test_domparser_null_char.html]
[test_domparsing.html]
[test_domrequest.html]
[test_domwindowutils.html]
skip-if = toolkit == 'android' && !is_fennec # Bug 1525959
[test_element.matches.html]
[test_element_closest.html]
[test_elementTraversal.html]
[test_encodeToStringWithMaxLength.html]
[test_encodeToStringWithRequiresReinitAfterOutput.html]
[test_EventSource_redirects.html]
[test_eventsource_event_listener_leaks.html]
[test_explicit_user_agent.html]
[test_find.html]
skip-if = (toolkit == 'android') # Android: Bug 1465387
[test_find_nac.html]
skip-if = (toolkit == 'android') # Android: Bug 1465387
[test_find_bug1601118.html]
skip-if = (toolkit == 'android') # Android: Bug 1465387
[test_focus_shadow_dom_root.html]
[test_focus_shadow_dom.html]
[test_focus_scrollable_input.html]
[test_getAttribute_after_createAttribute.html]
[test_getElementById.html]
[test_getTranslationNodes.html]
[test_getTranslationNodes_limit.html]
[test_gsp-qualified.html]
[test_gsp-quirks.html]
[test_gsp-standards.html]
[test_history_document_open.html]
[test_history_state_null.html]
[test_html_colors_quirks.html]
[test_html_colors_standards.html]
[test_htmlcopyencoder.html]
[test_htmlcopyencoder.xhtml]
[test_iframe_event_listener_leaks.html]
skip-if = (processor == 'aarch64' && os == 'win') # aarch64 due to 1530895
[test_iframe_referrer.html]
[test_iframe_referrer_changing.html]
[test_iframe_referrer_invalid.html]
[test_Image_constructor.html]
[test_innersize_scrollport.html]
skip-if = (verify && (os == 'win' || os == 'mac'))
[test_integer_attr_with_leading_zero.html]
[test_intersectionobservers.html]
[test_link_prefetch.html]
skip-if = !e10s # Track Bug 1281415
[test_link_preload.html]
[test_link_stylesheet.html]
[test_location_href_unknown_protocol.html]
support-files = file_location_href_unknown_protocol.html
[test_messagemanager_targetchain.html]
[test_meta_refresh_referrer.html]
[test_meta_viewport0.html]
[test_meta_viewport1.html]
[test_meta_viewport2.html]
[test_meta_viewport3.html]
[test_meta_viewport4.html]
[test_meta_viewport5.html]
[test_meta_viewport6.html]
[test_meta_viewport7.html]
[test_meta_viewport8.html]
[test_meta_viewport_auto_size_by_device_height.html]
[test_meta_viewport_auto_size_by_device_width.html]
[test_meta_viewport_auto_size_by_fixed_height_and_initial_scale_1.html]
[test_meta_viewport_auto_size_by_fixed_width_and_device_height.html]
[test_meta_viewport_auto_size_by_fixed_width_and_initial_scale_1.html]
[test_meta_viewport_auto_size_by_initial_scale_0_5.html]
[test_meta_viewport_auto_size_by_initial_scale_1.html]
[test_meta_viewport_auto_size_by_invalid_width.html]
[test_meta_viewport_auto_size_by_invalid_width_and_fixed_height.html]
[test_meta_viewport_change_content_among_multiple.html]
[test_meta_viewport_change_name.html]
[test_meta_viewport_change_name_among_multiple.html]
[test_meta_viewport_device_width.html]
[test_meta_viewport_device_width_with_initial_scale_0_5.html]
[test_meta_viewport_device_width_with_initial_scale_2.html]
[test_meta_viewport_fit.html]
[test_meta_viewport_fit_multiple.html]
[test_meta_viewport_fixed_width_and_zero_display_width.html]
[test_meta_viewport_initial_scale_0_5.html]
[test_meta_viewport_initial_scale_2.html]
[test_meta_viewport_insert_before_existing_tag.html]
[test_meta_viewport_maximum_scale_0.html]
[test_meta_viewport_maximum_scale_0_5.html]
[test_meta_viewport_maximum_scale_2.html]
[test_meta_viewport_multiple_tags.html]
[test_meta_viewport_negative_width_and_negative_height.html]
[test_meta_viewport_negative_width_and_no_height.html]
[test_meta_viewport_negative_width_and_valid_height.html]
[test_meta_viewport_valid_width_and_negative_height.html]
[test_meta_viewport_valid_width_and_no_height.html]
[test_meta_viewport_no_width_and_negative_height.html]
[test_meta_viewport_no_width_and_valid_height.html]
[test_meta_viewport_remove_node.html]
[test_meta_viewport_remove_node_from_multiple.html]
[test_meta_viewport_replace_content.html]
[test_meta_viewport_tiny_display_size.html]
[test_meta_viewport_initial_scale_with_trailing_characters.html]
[test_meta_viewport_width_with_trailing_characters.html]
[test_mozbrowser_apis_blocked.html]
[test_mozMatchesSelector.html]
[test_mutationobserver_anonymous.html]
[test_mutationobservers.html]
[test_named_frames.html]
[test_navigator_hardwareConcurrency.html]
[test_navigator_language.html]
[test_navigatorPrefOverride.html]
[test_noAudioNotification.html]
tags = audiochannel
[test_noAudioNotificationOnMutedElement.html]
tags = audiochannel
[test_noAudioNotificationOnMutedOrVolume0Element.html]
tags = audiochannel
[test_noAudioNotificationOnVolume0Element.html]
tags = audiochannel
[test_NodeIterator_basics_filters.xhtml]
[test_NodeIterator_mutations_1.xhtml]
[test_NodeIterator_mutations_2.html]
[test_NodeIterator_mutations_3.html]
[test_nodelist_holes.html]
[test_noWebAudioNotification.html]
tags = audiochannel
[test_open_null_features.html]
[test_openDialogChromeOnly.html]
tags = openwindow
[test_pdf_print.html]
skip-if = toolkit == 'android' # We don't ship pdf.js on Android
[test_plugin_freezing.html]
skip-if = (os == 'win' && processor == 'aarch64')
reason = Plugins are not supported on Windows/AArch64
[test_pluginAudioNotification.html]
tags = audiochannel
skip-if = toolkit == 'android' # Plugins don't work on Android
[test_pluginMutedBeforePlay.html]
tags = audiochannel
skip-if = toolkit == 'android' # Plugins don't work on Android
[test_postMessage_solidus.html]
[test_postMessages_window.html]
[test_postMessages_workers.html]
[test_postMessages_broadcastChannel.html]
[test_postMessages_messagePort.html]
[test_postMessage_originAttributes.html]
support-files = file_receiveMessage.html
skip-if = true # Uses mismatched OriginAttributes for iframe (bug 1616353)
[test_processing_instruction_update_stylesheet.xhtml]
[test_progress_events_for_gzip_data.html]
skip-if = tsan # Bug 1621323
[test_range_bounds.html]
[test_reentrant_flush.html]
[test_root_iframe.html]
[test_screen_orientation.html]
[test_script_loader_crossorigin_data_url.html]
[test_script_loader_js_cache.html]
skip-if = verify
support-files =
  file_js_cache.html
  file_js_cache_with_sri.html
  file_js_cache_module.html
  file_js_cache.js
  file_js_cache_save_after_load.html
  file_js_cache_save_after_load.js
  file_js_cache_syntax_error.html
  file_js_cache_syntax_error.js
[test_setInterval_from_start.html]
[test_setInterval_uncatchable_exception.html]
skip-if = debug == false
[test_settimeout_extra_arguments.html]
[test_settimeout_inner.html]
[test_setTimeoutWith0.html]
[test_setting_opener.html]
[test_shared_compartment1.html]
[test_shared_compartment2.html]
[test_structuredclone_backref.html]
[test_style_cssText.html]
[test_text_wholeText.html]
[test_textnode_normalize_in_selection.html]
[test_textnode_split_in_selection.html]
[test_timeout_clamp.html]
[test_timer_flood.html]
[test_title.html]
support-files = file_title.xhtml
[test_treewalker_nextsibling.xml]
[test_user_select.html]
[test_viewport_metrics_on_landscape_content.html]
support-files =
  file_viewport_metrics_on_landscape_content.html
[test_viewport_scroll.html]
[test_viewsource_forbidden_in_object.html]
[test_w3element_traversal.html]
[test_w3element_traversal.xhtml]
[test_w3element_traversal_svg.html]
[test_warning_for_blocked_cross_site_request.html]
[test_webaudioNotification.html]
tags = audiochannel
[test_webaudioNotificationStopOnNavigation.html]
tags = audiochannel
[test_window_constructor.html]
[test_window_content.html]
[test_window_cross_origin_props.html]
skip-if = fission && debug # bug 1580618
fail-if = fission
[test_window_define_nonconfigurable.html]
[test_window_define_symbol.html]
[test_window_element_enumeration.html]
[test_window_enumeration.html]
[test_window_extensible.html]
[test_window_indexing.html]
[test_window_keys.html]
[test_window_named_frame_enumeration.html]
[test_window_own_props.html]
[test_window_proto.html]
[test_writable-replaceable.html]
[test_x-frame-options.html]
skip-if = toolkit == 'android' && debug && !is_fennec
[test_youtube_flash_embed.html]
# Please keep alphabetical order.
